<section class="container-fluid animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <h4>{{title|translate}}</h4>
      <hr>
    </div>
  </div>
  <div class="row wall">
    <div class="col-xl-5 col-lg-6 col-md-12 col-12">
      <form [formGroup]="form" (ngSubmit)="submit(form)" novalidate>
        <div class="row">
          <!-- Banner Title -->
          <div class="col-lg-12">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="title">
                  {{ 'banner.create.b-title' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="title" class="form-control" type="text" maxlength="255" name="title" formControlName="title" autocomplete="off">
              </div>
            </div>
          </div>
          <!-- Banner Link -->
          <div class="col-lg-12">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="link">
                  {{ 'banner.create.link' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="link" class="form-control" type="text" name="link" formControlName="link" autocomplete="off">
              </div>
            </div>
          </div>
          <!-- Banner video -->
          <div class="col-lg-12">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="sub_title">
                  {{ 'banner.create.video' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <select-input inputid="new-category" [defaults]="defaultVideo" [list]="video" itemkey="name"
                  itemvalue="id" [multi]='false' (changed)="setVideo($event)" #bannerSelectInput placeholder></select-input>
              </div>
            </div>
          </div>
          <!-- Description -->
          <div class="col-lg-12">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="description">
                  {{ 'banner.create.description' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <textarea id="description" rows="8" class="form-control" type="text" name="description" maxlength="50"
                  (input)="countingCharacters($event)" formControlName="description"></textarea>
                <div class="text-left text-white"> 50 / {{ remainingCharcters }} </div>
              </div>
            </div>
          </div>
          <!-- descktop_image -->
          <div class="col-lg-12">
            <div class="row">
              <label class="col-lg-12 form-label-inline" for="images">{{ 'actors.create.desktop_banner' | translate }} :<span dir="ltr">(1920*768)</span></label>
              <div class="col-md-12 mb">
                <dropzone-images [defaults]="defaultDesktopImage" [multi]="false" (changed)="setImage($event, 'descktop_image')">
                </dropzone-images>
                <div class="feedback" *ngIf="form.controls['descktop_image'].hasError('required') && formSubmited">{{'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- banner_mobile_image -->
          <div class="col-lg-12">
            <div class="row">
              <label class="col-lg-12 form-label-inline" for="images">{{ 'actors.create.mobile_banner' | translate }} :<span dir="ltr">(660*775)</span></label>
              <div class="col-xl-12 mb">
                  <dropzone-images [defaults]="defaultMobileImage" [multi]="false" (changed)="setImage($event, 'mobile_image')">
                  </dropzone-images>
                <div class="feedback" *ngIf="form.controls['mobile_image'].hasError('required') && formSubmited">{{'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- is blog -->
          <div class="col-md-12 col-lg-6 my-3">
            <div class="form-check pt-4">
              <label class="form-check-label">
                <input class="form-check-input" type="checkbox" name="blog" formControlName="blog">
                <span class="form-check-sign">
                  <span class="check"></span>
                </span>
                <label for="" class="text-white">{{ 'site.create.blog' | translate }}: </label>
              </label>
            </div>
          </div>
          <!-- buttons -->
          <div class="col-md-10 mt">
            <div class="row">
              <div class="col-md-12">
                <button class="btn-primary mx-2" type="submit" [disabled]="form.invalid && formSubmited">{{ "upload.create.publish" |translate}}</button>
                <button class="btn-outline" type="button" routerLink="/panel/banners" [queryParams]="query.params()">{{'operation.back' | translate }}</button>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</section>